http
import "github.com/prescriptoo/prescriptoo-api/services/admin/internal/presentation/http"Package http owns this service's audit HTTP endpoints. Audit itself has no router.
Package http provides the admin service's HTTP delivery layer.
Index
- func RegisterAdminChiefComplaintCreate(api huma.API, uc usecase.ClinicalCreateChiefComplaintUseCase)
- func RegisterAdminChiefComplaintDelete(api huma.API, uc usecase.ClinicalDeleteChiefComplaintUseCase)
- func RegisterAdminChiefComplaintGet(api huma.API, uc usecase.ClinicalGetChiefComplaintUseCase)
- func RegisterAdminChiefComplaintList(api huma.API, uc usecase.ClinicalListChiefComplaintUseCase)
- func RegisterAdminChiefComplaintPatch(api huma.API, uc usecase.ClinicalPatchChiefComplaintUseCase)
- func RegisterAdminHistorySuggestionCreate(api huma.API, uc usecase.ClinicalCreateHistorySuggestionUseCase)
- func RegisterAdminHistorySuggestionDelete(api huma.API, uc usecase.ClinicalDeleteHistorySuggestionUseCase)
- func RegisterAdminHistorySuggestionGet(api huma.API, uc usecase.ClinicalGetHistorySuggestionUseCase)
- func RegisterAdminHistorySuggestionList(api huma.API, uc usecase.ClinicalListHistorySuggestionUseCase)
- func RegisterAdminHistorySuggestionPatch(api huma.API, uc usecase.ClinicalPatchHistorySuggestionUseCase)
- type AccountHTTPInput
- type AdminAuditEventGetReqDto
- type AdminAuditEventGetResDto
- type AdminAuditEventListReqDto
- type AdminAuditEventListResDto
- type AdminAuthVerifyReqDto
- type AdminAuthVerifyResDto
- type AdminAuthorizationMeGetReqDto
- type AdminAuthorizationMeGetResDto
- type AdminAuthorizationMemberGetReqDto
- type AdminAuthorizationMemberGetResDto
- type AdminAuthorizationPermissionListReqDto
- type AdminAuthorizationPermissionListResDto
- type AdminAuthorizationPermissionOverrideRemoveReqDto
- type AdminAuthorizationPermissionOverrideRemoveResDto
- type AdminAuthorizationPermissionOverrideSetReqDto
- type AdminAuthorizationPermissionOverrideSetResDto
- type AdminAuthorizationRoleAssignReqDto
- type AdminAuthorizationRoleAssignResDto
- type AdminAuthorizationRoleCreateReqDto
- type AdminAuthorizationRoleCreateResDto
- type AdminAuthorizationRoleDeleteReqDto
- type AdminAuthorizationRoleDeleteResDto
- type AdminAuthorizationRoleGetReqDto
- type AdminAuthorizationRoleGetResDto
- type AdminAuthorizationRoleListReqDto
- type AdminAuthorizationRoleListResDto
- type AdminAuthorizationRolePermissionsSetReqDto
- type AdminAuthorizationRolePermissionsSetResDto
- type AdminAuthorizationRoleRevokeReqDto
- type AdminAuthorizationRoleRevokeResDto
- type AdminAuthorizationRoleUpdateReqDto
- type AdminAuthorizationRoleUpdateResDto
- type AdminBillingInvoiceCreateReqDto
- type AdminBillingInvoiceCreateResDto
- type AdminBillingInvoiceEditReqDto
- type AdminBillingInvoiceEditResDto
- type AdminBillingInvoiceGetReqDto
- type AdminBillingInvoiceGetResDto
- type AdminBillingInvoiceIssueReqDto
- type AdminBillingInvoiceIssueResDto
- type AdminBillingInvoiceListReqDto
- type AdminBillingInvoiceListResDto
- type AdminBillingInvoicePaymentListReqDto
- type AdminBillingInvoicePaymentListResDto
- type AdminBillingInvoiceVoidReqDto
- type AdminBillingInvoiceVoidResDto
- type AdminBillingPaymentGetReqDto
- type AdminBillingPaymentGetResDto
- type AdminBillingPaymentListReqDto
- type AdminBillingPaymentListResDto
- type AdminBillingPaymentRecordReqDto
- type AdminBillingPaymentRecordResDto
- type AdminBillingPaymentVoidReqDto
- type AdminBillingPaymentVoidResDto
- type AdminBillingPlanArchiveReqDto
- type AdminBillingPlanArchiveResDto
- type AdminBillingPlanCreateReqDto
- type AdminBillingPlanCreateResDto
- type AdminBillingPlanEditReqDto
- type AdminBillingPlanEditResDto
- type AdminBillingPlanGetReqDto
- type AdminBillingPlanGetResDto
- type AdminBillingPlanListReqDto
- type AdminBillingPlanListResDto
- type AdminBillingSubscriptionCreateReqDto
- type AdminBillingSubscriptionCreateResDto
- type AdminBillingSubscriptionDeleteReqDto
- type AdminBillingSubscriptionDeleteResDto
- type AdminBillingSubscriptionEditReqDto
- type AdminBillingSubscriptionEditResDto
- type AdminBillingSubscriptionExtendReqDto
- type AdminBillingSubscriptionExtendResDto
- type AdminBillingSubscriptionGetReqDto
- type AdminBillingSubscriptionGetResDto
- type AdminBillingSubscriptionInvoiceListReqDto
- type AdminBillingSubscriptionInvoiceListResDto
- type AdminBillingSubscriptionListReqDto
- type AdminBillingSubscriptionListResDto
- type AdminChiefComplaintCreateBodyDto
- type AdminChiefComplaintCreateDataDto
- type AdminChiefComplaintCreateReqDto
- type AdminChiefComplaintCreateResDto
- type AdminChiefComplaintCreateResponseBodyDto
- type AdminChiefComplaintDeleteReqDto
- type AdminChiefComplaintDeleteResDto
- type AdminChiefComplaintDeleteResponseBodyDto
- type AdminChiefComplaintGetDataDto
- type AdminChiefComplaintGetReqDto
- type AdminChiefComplaintGetResDto
- type AdminChiefComplaintGetResponseBodyDto
- type AdminChiefComplaintListItemDto
- type AdminChiefComplaintListReqDto
- type AdminChiefComplaintListResDto
- type AdminChiefComplaintListResponseBodyDto
- type AdminChiefComplaintPatchBodyDto
- type AdminChiefComplaintPatchDataDto
- type AdminChiefComplaintPatchReqDto
- type AdminChiefComplaintPatchResDto
- type AdminChiefComplaintPatchResponseBodyDto
- type AdminClinicalMetadataDto
- type AdminClinicalPaginationDto
- type AdminHistoryAttributesDto
- type AdminHistorySuggestionCreateBodyDto
- type AdminHistorySuggestionCreateDataDto
- type AdminHistorySuggestionCreateReqDto
- type AdminHistorySuggestionCreateResDto
- type AdminHistorySuggestionCreateResponseBodyDto
- type AdminHistorySuggestionDeleteReqDto
- type AdminHistorySuggestionDeleteResDto
- type AdminHistorySuggestionDeleteResponseBodyDto
- type AdminHistorySuggestionGetDataDto
- type AdminHistorySuggestionGetReqDto
- type AdminHistorySuggestionGetResDto
- type AdminHistorySuggestionGetResponseBodyDto
- type AdminHistorySuggestionListItemDto
- type AdminHistorySuggestionListReqDto
- type AdminHistorySuggestionListResDto
- type AdminHistorySuggestionListResponseBodyDto
- type AdminHistorySuggestionPatchBodyDto
- type AdminHistorySuggestionPatchDataDto
- type AdminHistorySuggestionPatchReqDto
- type AdminHistorySuggestionPatchResDto
- type AdminHistorySuggestionPatchResponseBodyDto
- type AdminIdentityAccountGetReqDto
- type AdminIdentityAccountGetResDto
- type AdminIdentityAccountListReqDto
- type AdminIdentityAccountListResDto
- type AdminIdentityAccountStatusPatchReqDto
- type AdminIdentityAccountStatusPatchResDto
- type AdminLoginReqDto
- type AdminLoginResDto
- type AdminMedicineBrandCreateBodyDto
- type AdminMedicineBrandCreateDataDto
- type AdminMedicineBrandCreateInputBody
- type AdminMedicineBrandCreateReqDto
- type AdminMedicineBrandCreateResDto
- type AdminMedicineBrandDeleteReqDto
- type AdminMedicineBrandDeleteResDto
- type AdminMedicineBrandGetBodyDto
- type AdminMedicineBrandGetDataDto
- type AdminMedicineBrandGetReqDto
- type AdminMedicineBrandGetResDto
- type AdminMedicineBrandListBodyDto
- type AdminMedicineBrandListItemDto
- type AdminMedicineBrandListPaginationDto
- type AdminMedicineBrandListReqDto
- type AdminMedicineBrandListResDto
- type AdminMedicineBrandPatchBodyDto
- type AdminMedicineBrandPatchDataDto
- type AdminMedicineBrandPatchInputBody
- type AdminMedicineBrandPatchReqDto
- type AdminMedicineBrandPatchResDto
- type AdminMedicineBrandRestoreBodyDto
- type AdminMedicineBrandRestoreDataDto
- type AdminMedicineBrandRestoreReqDto
- type AdminMedicineBrandRestoreResDto
- type AdminMedicineDrugCreateBodyDto
- type AdminMedicineDrugCreateDataDto
- type AdminMedicineDrugCreateInputBody
- type AdminMedicineDrugCreateReqDto
- type AdminMedicineDrugCreateResDto
- type AdminMedicineDrugCreateSummaryDto
- type AdminMedicineDrugDeleteReqDto
- type AdminMedicineDrugDeleteResDto
- type AdminMedicineDrugGetBodyDto
- type AdminMedicineDrugGetDataDto
- type AdminMedicineDrugGetReqDto
- type AdminMedicineDrugGetResDto
- type AdminMedicineDrugGetSummaryDto
- type AdminMedicineDrugListBodyDto
- type AdminMedicineDrugListItemDto
- type AdminMedicineDrugListPaginationDto
- type AdminMedicineDrugListReqDto
- type AdminMedicineDrugListResDto
- type AdminMedicineDrugListSummaryDto
- type AdminMedicineDrugPatchBodyDto
- type AdminMedicineDrugPatchDataDto
- type AdminMedicineDrugPatchInputBody
- type AdminMedicineDrugPatchReqDto
- type AdminMedicineDrugPatchResDto
- type AdminMedicineDrugPatchSummaryDto
- type AdminMedicineDrugRestoreBodyDto
- type AdminMedicineDrugRestoreDataDto
- type AdminMedicineDrugRestoreReqDto
- type AdminMedicineDrugRestoreResDto
- type AdminMedicineDrugRestoreSummaryDto
- type AdminMedicineGenericCreateBodyDto
- type AdminMedicineGenericCreateDataDto
- type AdminMedicineGenericCreateInputBody
- type AdminMedicineGenericCreateReqDto
- type AdminMedicineGenericCreateResDto
- type AdminMedicineGenericDeleteReqDto
- type AdminMedicineGenericDeleteResDto
- type AdminMedicineGenericGetBodyDto
- type AdminMedicineGenericGetDataDto
- type AdminMedicineGenericGetReqDto
- type AdminMedicineGenericGetResDto
- type AdminMedicineGenericListBodyDto
- type AdminMedicineGenericListItemDto
- type AdminMedicineGenericListPaginationDto
- type AdminMedicineGenericListReqDto
- type AdminMedicineGenericListResDto
- type AdminMedicineGenericPatchBodyDto
- type AdminMedicineGenericPatchDataDto
- type AdminMedicineGenericPatchInputBody
- type AdminMedicineGenericPatchReqDto
- type AdminMedicineGenericPatchResDto
- type AdminMedicineGenericRestoreBodyDto
- type AdminMedicineGenericRestoreDataDto
- type AdminMedicineGenericRestoreReqDto
- type AdminMedicineGenericRestoreResDto
- type AdminMedicineManufacturerCreateBodyDto
- type AdminMedicineManufacturerCreateDataDto
- type AdminMedicineManufacturerCreateInputBody
- type AdminMedicineManufacturerCreateReqDto
- type AdminMedicineManufacturerCreateResDto
- type AdminMedicineManufacturerDeleteReqDto
- type AdminMedicineManufacturerDeleteResDto
- type AdminMedicineManufacturerGetBodyDto
- type AdminMedicineManufacturerGetDataDto
- type AdminMedicineManufacturerGetReqDto
- type AdminMedicineManufacturerGetResDto
- type AdminMedicineManufacturerListBodyDto
- type AdminMedicineManufacturerListItemDto
- type AdminMedicineManufacturerListPaginationDto
- type AdminMedicineManufacturerListReqDto
- type AdminMedicineManufacturerListResDto
- type AdminMedicineManufacturerPatchBodyDto
- type AdminMedicineManufacturerPatchDataDto
- type AdminMedicineManufacturerPatchInputBody
- type AdminMedicineManufacturerPatchReqDto
- type AdminMedicineManufacturerPatchResDto
- type AdminMedicineManufacturerRestoreBodyDto
- type AdminMedicineManufacturerRestoreDataDto
- type AdminMedicineManufacturerRestoreReqDto
- type AdminMedicineManufacturerRestoreResDto
- type AdminMedicineQuickSigDto
- type AdminPrincipalDto
- type AdminProfileBodyDto
- type AdminProfileDetailsDto
- type AdminProfileDto
- type AdminProfileGetReqDto
- type AdminProfileGetResDto
- type AdminProfileRoleDto
- type AdminUserCreateReqDto
- type AdminUserCreateResDto
- type AdminUserDto
- type AdminUserGetReqDto
- type AdminUserGetResDto
- type AdminUserListReqDto
- type AdminUserListResDto
- type AdminUserPageDto
- type AdminUserPathInput
- type AdminUserRevokeReqDto
- type AdminUserRevokeResDto
- type ApproveDoctorVerificationParams
- type AuditHandler
- type AuditScopeInput
- type AuthorizationAssignmentInput
- type AuthorizationCapabilities
- type AuthorizationHandler
- type AuthorizationMemberInput
- type AuthorizationOverrideInput
- type AuthorizationRoleInput
- type AuthorizationScopeInput
- type BillingHandler
- type BillingInvoicePathInput
- type BillingPaginationInput
- type BillingPaymentPathInput
- type BillingPlanPathInput
- type BillingProviders
- type BillingSubscriptionPathInput
- type CompactPlan
- type CreateOrganizationInputBody
- type CreateOrganizationMemberInputBody
- type DoctorActivateBodyDto
- type DoctorActivateDataDto
- type DoctorActivateReqDto
- type DoctorActivateResDto
- type DoctorAffiliationDataDto
- type DoctorCatalogBody
- type DoctorCatalogCreateInput
- type DoctorCatalogInput
- type DoctorCatalogOutput
- type DoctorCatalogRecordInput
- type DoctorCatalogUpdateInput
- type DoctorChamberDto
- type DoctorDataDto
- type DoctorGetBodyDto
- type DoctorGetDataDto
- type DoctorGetReqDto
- type DoctorGetResDto
- type DoctorListBodyDto
- type DoctorListItemDto
- type DoctorListPaginationDto
- type DoctorListReqDto
- type DoctorListResDto
- type DoctorOrganizationDataDto
- type DoctorOrganizationsBodyDto
- type DoctorOrganizationsReqDto
- type DoctorOrganizationsResDto
- type DoctorSpecializationCreateInput
- type DoctorSpecializationListInput
- type DoctorSpecializationUpdateInput
- type DoctorSuspendBodyDto
- type DoctorSuspendDataDto
- type DoctorSuspendReqDto
- type DoctorSuspendResDto
- type DoctorVerificationApproveBodyDto
- type DoctorVerificationApproveReqDto
- type DoctorVerificationApproveResDto
- type DoctorVerificationDataDto
- type DoctorVerificationGetBodyDto
- type DoctorVerificationGetReqDto
- type DoctorVerificationGetResDto
- type DoctorVerificationPendingListBodyDto
- type DoctorVerificationPendingListPaginationDto
- type DoctorVerificationPendingListReqDto
- type DoctorVerificationPendingListResDto
- type DoctorVerificationRejectBodyDto
- type DoctorVerificationRejectReqDto
- type DoctorVerificationRejectResDto
- type DoctorVerificationSubmitBodyDto
- type DoctorVerificationSubmitReqDto
- type DoctorVerificationSubmitResDto
- type Handler
- func NewHandler(uc UseCases) *Handler
- func (h *Handler) ConfigureAuditWrites(work ports.MutationRunner)
- func (h *Handler) RegisterHuma(api huma.API)
- func (h *Handler) SetAuditAccounts(accounts identitypublic.AccountReader)
- func (h *Handler) SetPermissionChecker(checker authorizationpublic.AdminPermissionChecker)
- func (h *Handler) SetProfileAuthorizationReader(reader authorizationpublic.MemberAuthorizationReader)
- type HumaAuthenticatedInput
- type IdentitySourceBody
- type ManagementHandler
- type ManagementListHTTPInput
- type ManagementPage
- type MedicineHandler
- type MedicineProviders
- type NewIdentityBody
- type OrgActivateBodyDto
- type OrgActivateDataDto
- type OrgActivateReqDto
- type OrgActivateResDto
- type OrgAssignDoctorsBodyDto
- type OrgAssignDoctorsInputBody
- type OrgAssignDoctorsReqDto
- type OrgAssignDoctorsResDto
- type OrgCreateBodyDto
- type OrgCreateDataDto
- type OrgCreateMemberBodyDto
- type OrgCreateMemberDataDto
- type OrgCreateMemberIdentityDto
- type OrgCreateMemberMemberDto
- type OrgCreateMemberReqDto
- type OrgCreateMemberResDto
- type OrgCreateReqDto
- type OrgCreateResDto
- type OrgDeleteBodyDto
- type OrgDeleteDataDto
- type OrgDeleteReqDto
- type OrgDeleteResDto
- type OrgDoctorBodyDto
- type OrgDoctorDataDto
- type OrgDoctorDisplayDto
- type OrgDoctorReqDto
- type OrgDoctorResDto
- type OrgDoctorStatusBodyDto
- type OrgDoctorStatusInputBody
- type OrgDoctorStatusReqDto
- type OrgDoctorStatusResDto
- type OrgDoctorsBodyDto
- type OrgDoctorsReqDto
- type OrgDoctorsResDto
- type OrgGetBodyDto
- type OrgGetDataDto
- type OrgGetReqDto
- type OrgGetResDto
- type OrgListBodyDto
- type OrgListItemDto
- type OrgListPaginationDto
- type OrgListReqDto
- type OrgListResDto
- type OrgRestoreBodyDto
- type OrgRestoreDataDto
- type OrgRestoreReqDto
- type OrgRestoreResDto
- type OrgSummaryBodyDto
- type OrgSummaryReqDto
- type OrgSummaryResDto
- type OrgSuspendBodyDto
- type OrgSuspendDataDto
- type OrgSuspendReqDto
- type OrgSuspendResDto
- type OrgUpdateBodyDto
- type OrgUpdateDataDto
- type OrgUpdateReqDto
- type OrgUpdateResDto
- type OrganizationDataDto
- type OrganizationSummaryDataDto
- type PatchIdentityAccountStatusParams
- type RejectDoctorVerificationParams
- type SubmitDoctorVerificationParams
- type UpdateOrganizationInputBody
- type UseCases
- type VerificationHTTPInput
func RegisterAdminChiefComplaintCreate
func RegisterAdminChiefComplaintCreate(api huma.API, uc usecase.ClinicalCreateChiefComplaintUseCase)RegisterAdminChiefComplaintCreate registers its secured management operation and DTO schemas.
func RegisterAdminChiefComplaintDelete
func RegisterAdminChiefComplaintDelete(api huma.API, uc usecase.ClinicalDeleteChiefComplaintUseCase)RegisterAdminChiefComplaintDelete registers its secured management operation and DTO schemas.
func RegisterAdminChiefComplaintGet
func RegisterAdminChiefComplaintGet(api huma.API, uc usecase.ClinicalGetChiefComplaintUseCase)RegisterAdminChiefComplaintGet registers its secured management operation and DTO schemas.
func RegisterAdminChiefComplaintList
func RegisterAdminChiefComplaintList(api huma.API, uc usecase.ClinicalListChiefComplaintUseCase)RegisterAdminChiefComplaintList registers its secured management operation and DTO schemas.
func RegisterAdminChiefComplaintPatch
func RegisterAdminChiefComplaintPatch(api huma.API, uc usecase.ClinicalPatchChiefComplaintUseCase)RegisterAdminChiefComplaintPatch registers its secured management operation and DTO schemas.
func RegisterAdminHistorySuggestionCreate
func RegisterAdminHistorySuggestionCreate(api huma.API, uc usecase.ClinicalCreateHistorySuggestionUseCase)RegisterAdminHistorySuggestionCreate registers its secured management operation and DTO schemas.
func RegisterAdminHistorySuggestionDelete
func RegisterAdminHistorySuggestionDelete(api huma.API, uc usecase.ClinicalDeleteHistorySuggestionUseCase)RegisterAdminHistorySuggestionDelete registers its secured management operation and DTO schemas.
func RegisterAdminHistorySuggestionGet
func RegisterAdminHistorySuggestionGet(api huma.API, uc usecase.ClinicalGetHistorySuggestionUseCase)RegisterAdminHistorySuggestionGet registers its secured management operation and DTO schemas.
func RegisterAdminHistorySuggestionList
func RegisterAdminHistorySuggestionList(api huma.API, uc usecase.ClinicalListHistorySuggestionUseCase)RegisterAdminHistorySuggestionList registers its secured management operation and DTO schemas.
func RegisterAdminHistorySuggestionPatch
func RegisterAdminHistorySuggestionPatch(api huma.API, uc usecase.ClinicalPatchHistorySuggestionUseCase)RegisterAdminHistorySuggestionPatch registers its secured management operation and DTO schemas.
type AccountHTTPInput
AccountHTTPInput identifies an identity account, not a platform-admin grant.
type AccountHTTPInput struct {
HumaAuthenticatedInput
UserID string `path:"userId" minLength:"1" pattern:"\\S"`
}type AdminAuditEventGetReqDto
AdminAuditEventGetReqDto identifies an event within the requested service-owned history.
type AdminAuditEventGetReqDto struct {
AuditScopeInput
EventID string `path:"eventId" format:"uuid"`
}type AdminAuditEventGetResDto
AdminAuditEventGetResDto wraps the HTTP response body.
type AdminAuditEventGetResDto struct {
Body types.SuccessResponse[audit.Event]
}type AdminAuditEventListReqDto
AdminAuditEventListReqDto contains validated history filter and pagination parameters.
type AdminAuditEventListReqDto struct {
AuditScopeInput
ActorUserID string `query:"actor_user_id" format:"uuid"`
Name string `query:"event_name" maxLength:"150"`
ResourceType string `query:"resource_type" maxLength:"100"`
ResourceID string `query:"resource_id" maxLength:"250"`
OperationID string `query:"operation_id" format:"uuid"`
AffectedOrganizationID string `query:"organization_id" format:"uuid"`
From time.Time `query:"from" doc:"Inclusive event time, RFC 3339."`
To time.Time `query:"to" doc:"Exclusive event time, RFC 3339."`
Limit int `query:"limit" default:"20" minimum:"1" maximum:"100"`
Cursor string `query:"cursor" maxLength:"2048"`
}type AdminAuditEventListResDto
AdminAuditEventListResDto wraps the HTTP response body.
type AdminAuditEventListResDto struct {
Body types.CursorResponse[audit.EventSummary]
}type AdminAuthVerifyReqDto
AdminAuthVerifyReqDto carries the credentials to verify administrator access.
type AdminAuthVerifyReqDto struct {
HumaAuthenticatedInput
}type AdminAuthVerifyResDto
AdminAuthVerifyResDto contains the verified administrator principal.
type AdminAuthVerifyResDto struct {
Body types.SuccessResponse[AdminPrincipalDto]
}type AdminAuthorizationMeGetReqDto
AdminAuthorizationMeGetReqDto requests the caller's own authorization.
type AdminAuthorizationMeGetReqDto struct{ AuthorizationScopeInput }type AdminAuthorizationMeGetResDto
AdminAuthorizationMeGetResDto wraps the HTTP response body.
type AdminAuthorizationMeGetResDto struct {
Body types.SuccessResponse[p.MemberAuthorization]
}type AdminAuthorizationMemberGetReqDto
AdminAuthorizationMemberGetReqDto identifies the member whose grants are requested.
type AdminAuthorizationMemberGetReqDto struct{ AuthorizationMemberInput }type AdminAuthorizationMemberGetResDto
AdminAuthorizationMemberGetResDto wraps the HTTP response body.
type AdminAuthorizationMemberGetResDto struct {
Body types.SuccessResponse[p.MemberAuthorization]
}type AdminAuthorizationPermissionListReqDto
AdminAuthorizationPermissionListReqDto requests the supported permissions.
type AdminAuthorizationPermissionListReqDto struct{ AuthorizationScopeInput }type AdminAuthorizationPermissionListResDto
AdminAuthorizationPermissionListResDto wraps the HTTP response body.
type AdminAuthorizationPermissionListResDto struct {
Body types.SuccessResponse[[]p.Permission]
}type AdminAuthorizationPermissionOverrideRemoveReqDto
AdminAuthorizationPermissionOverrideRemoveReqDto contains validated HTTP parameters for the scoped authorization operation.
type AdminAuthorizationPermissionOverrideRemoveReqDto struct {
AuthorizationOverrideInput
ExpectedVersion int64 `query:"expected_version" minimum:"0" required:"true"`
}type AdminAuthorizationPermissionOverrideRemoveResDto
AdminAuthorizationPermissionOverrideRemoveResDto wraps the HTTP response body.
type AdminAuthorizationPermissionOverrideRemoveResDto struct {
Body types.SuccessResponse[p.MemberAuthorization]
}type AdminAuthorizationPermissionOverrideSetReqDto
AdminAuthorizationPermissionOverrideSetReqDto contains validated HTTP parameters for the scoped authorization operation.
type AdminAuthorizationPermissionOverrideSetReqDto struct {
AuthorizationOverrideInput
Body struct {
Effect p.Effect `json:"effect" enum:"allow,deny"`
ExpectedVersion int64 `json:"expected_version" minimum:"0"`
}
}type AdminAuthorizationPermissionOverrideSetResDto
AdminAuthorizationPermissionOverrideSetResDto wraps the HTTP response body.
type AdminAuthorizationPermissionOverrideSetResDto struct {
Body types.SuccessResponse[p.MemberAuthorization]
}type AdminAuthorizationRoleAssignReqDto
AdminAuthorizationRoleAssignReqDto contains validated HTTP parameters for the scoped authorization operation.
type AdminAuthorizationRoleAssignReqDto struct {
AuthorizationAssignmentInput
Body struct {
ExpectedVersion int64 `json:"expected_version" minimum:"0"`
}
}type AdminAuthorizationRoleAssignResDto
AdminAuthorizationRoleAssignResDto wraps the HTTP response body.
type AdminAuthorizationRoleAssignResDto struct {
Body types.SuccessResponse[p.MemberAuthorization]
}type AdminAuthorizationRoleCreateReqDto
AdminAuthorizationRoleCreateReqDto supplies a new scoped role definition.
type AdminAuthorizationRoleCreateReqDto struct {
AuthorizationScopeInput
Body struct {
Name string `json:"name" minLength:"1" maxLength:"100"`
Slug string `json:"slug" pattern:"^[a-z][a-z0-9_]{0,99}$"`
Description string `json:"description,omitempty" maxLength:"2000"`
Permissions []p.PermissionGrant `json:"permissions" maxItems:"500" nullable:"false"`
}
}type AdminAuthorizationRoleCreateResDto
AdminAuthorizationRoleCreateResDto wraps the HTTP response body.
type AdminAuthorizationRoleCreateResDto struct {
Body types.SuccessResponse[p.Role]
}type AdminAuthorizationRoleDeleteReqDto
AdminAuthorizationRoleDeleteReqDto contains validated HTTP parameters for the scoped authorization operation.
type AdminAuthorizationRoleDeleteReqDto struct {
AuthorizationRoleInput
ExpectedVersion int64 `query:"expected_version" minimum:"1" required:"true"`
}type AdminAuthorizationRoleDeleteResDto
AdminAuthorizationRoleDeleteResDto represents a successful response without a body.
type AdminAuthorizationRoleDeleteResDto struct {
Body types.SuccessResponse[types.Empty]
}type AdminAuthorizationRoleGetReqDto
AdminAuthorizationRoleGetReqDto identifies the scoped role to retrieve.
type AdminAuthorizationRoleGetReqDto struct{ AuthorizationRoleInput }type AdminAuthorizationRoleGetResDto
AdminAuthorizationRoleGetResDto wraps the HTTP response body.
type AdminAuthorizationRoleGetResDto struct {
Body types.SuccessResponse[p.Role]
}type AdminAuthorizationRoleListReqDto
AdminAuthorizationRoleListReqDto requests the available scoped roles.
type AdminAuthorizationRoleListReqDto struct{ AuthorizationScopeInput }type AdminAuthorizationRoleListResDto
AdminAuthorizationRoleListResDto wraps the HTTP response body.
type AdminAuthorizationRoleListResDto struct {
Body types.SuccessResponse[[]p.Role]
}type AdminAuthorizationRolePermissionsSetReqDto
AdminAuthorizationRolePermissionsSetReqDto contains validated HTTP parameters for the scoped authorization operation.
type AdminAuthorizationRolePermissionsSetReqDto struct {
AuthorizationRoleInput
Body struct {
Permissions []p.PermissionGrant `json:"permissions" maxItems:"500" nullable:"false"`
ExpectedVersion int64 `json:"expected_version" minimum:"1"`
}
}type AdminAuthorizationRolePermissionsSetResDto
AdminAuthorizationRolePermissionsSetResDto wraps the HTTP response body.
type AdminAuthorizationRolePermissionsSetResDto struct {
Body types.SuccessResponse[p.Role]
}type AdminAuthorizationRoleRevokeReqDto
AdminAuthorizationRoleRevokeReqDto contains validated HTTP parameters for the scoped authorization operation.
type AdminAuthorizationRoleRevokeReqDto struct {
AuthorizationAssignmentInput
ExpectedVersion int64 `query:"expected_version" minimum:"0" required:"true"`
}type AdminAuthorizationRoleRevokeResDto
AdminAuthorizationRoleRevokeResDto wraps the HTTP response body.
type AdminAuthorizationRoleRevokeResDto struct {
Body types.SuccessResponse[p.MemberAuthorization]
}type AdminAuthorizationRoleUpdateReqDto
AdminAuthorizationRoleUpdateReqDto contains validated HTTP parameters for the scoped authorization operation.
type AdminAuthorizationRoleUpdateReqDto struct {
AuthorizationRoleInput
Body struct {
Name string `json:"name" minLength:"1" maxLength:"100"`
Description string `json:"description" maxLength:"2000"`
ExpectedVersion int64 `json:"expected_version" minimum:"1"`
}
}type AdminAuthorizationRoleUpdateResDto
AdminAuthorizationRoleUpdateResDto wraps the HTTP response body.
type AdminAuthorizationRoleUpdateResDto struct {
Body types.SuccessResponse[p.Role]
}type AdminBillingInvoiceCreateReqDto
AdminBillingInvoiceCreateReqDto defines the billing operation request.
type AdminBillingInvoiceCreateReqDto struct {
IdempotencyKey string `header:"Idempotency-Key" minLength:"1" maxLength:"255" required:"true"`
BillingSubscriptionPathInput
Body subscriptionpublic.CreateInvoiceParams
}func (*AdminBillingInvoiceCreateReqDto) Resolve
func (input *AdminBillingInvoiceCreateReqDto) Resolve(ctx huma.Context) []errorResolve preserves the subscription service's request validation.
type AdminBillingInvoiceCreateResDto
AdminBillingInvoiceCreateResDto wraps the HTTP response body.
type AdminBillingInvoiceCreateResDto struct {
Body types.SuccessResponse[subscriptionpublic.Invoice]
}type AdminBillingInvoiceEditReqDto
AdminBillingInvoiceEditReqDto defines the billing operation request.
type AdminBillingInvoiceEditReqDto struct {
BillingInvoicePathInput
Body subscriptionpublic.EditInvoiceParams
}func (*AdminBillingInvoiceEditReqDto) Resolve
func (input *AdminBillingInvoiceEditReqDto) Resolve(ctx huma.Context) []errorResolve preserves the subscription service's request validation.
type AdminBillingInvoiceEditResDto
AdminBillingInvoiceEditResDto wraps the HTTP response body.
type AdminBillingInvoiceEditResDto struct {
Body types.SuccessResponse[subscriptionpublic.Invoice]
}type AdminBillingInvoiceGetReqDto
AdminBillingInvoiceGetReqDto defines the billing operation request.
type AdminBillingInvoiceGetReqDto struct {
BillingInvoicePathInput
}type AdminBillingInvoiceGetResDto
AdminBillingInvoiceGetResDto wraps the HTTP response body.
type AdminBillingInvoiceGetResDto struct {
Body types.SuccessResponse[subscriptionpublic.Invoice]
}type AdminBillingInvoiceIssueReqDto
AdminBillingInvoiceIssueReqDto defines the billing operation request.
type AdminBillingInvoiceIssueReqDto struct {
BillingInvoicePathInput
}type AdminBillingInvoiceIssueResDto
AdminBillingInvoiceIssueResDto wraps the HTTP response body.
type AdminBillingInvoiceIssueResDto struct {
Body types.SuccessResponse[subscriptionpublic.Invoice]
}type AdminBillingInvoiceListReqDto
AdminBillingInvoiceListReqDto defines the billing operation request.
type AdminBillingInvoiceListReqDto struct {
HumaAuthenticatedInput
BillingPaginationInput
OrganizationID string `query:"organization_id"`
SubscriptionID string `query:"subscription_id"`
Status string `query:"status" enum:"draft,open,paid,void,uncollectible"`
}type AdminBillingInvoiceListResDto
AdminBillingInvoiceListResDto wraps the HTTP response body.
type AdminBillingInvoiceListResDto struct {
Body types.CursorResponse[subscriptionpublic.Invoice]
}type AdminBillingInvoicePaymentListReqDto
AdminBillingInvoicePaymentListReqDto defines the billing operation request.
type AdminBillingInvoicePaymentListReqDto struct {
BillingInvoicePathInput
BillingPaginationInput
Status string `query:"status" enum:"recorded,voided"`
}type AdminBillingInvoicePaymentListResDto
AdminBillingInvoicePaymentListResDto wraps the HTTP response body.
type AdminBillingInvoicePaymentListResDto struct {
Body types.CursorResponse[subscriptionpublic.Payment]
}type AdminBillingInvoiceVoidReqDto
AdminBillingInvoiceVoidReqDto defines the billing operation request.
type AdminBillingInvoiceVoidReqDto struct {
BillingInvoicePathInput
Body subscriptionpublic.VoidParams
}type AdminBillingInvoiceVoidResDto
AdminBillingInvoiceVoidResDto wraps the HTTP response body.
type AdminBillingInvoiceVoidResDto struct {
Body types.SuccessResponse[subscriptionpublic.Invoice]
}type AdminBillingPaymentGetReqDto
AdminBillingPaymentGetReqDto defines the billing operation request.
type AdminBillingPaymentGetReqDto struct {
BillingPaymentPathInput
}type AdminBillingPaymentGetResDto
AdminBillingPaymentGetResDto wraps the HTTP response body.
type AdminBillingPaymentGetResDto struct {
Body types.SuccessResponse[subscriptionpublic.Payment]
}type AdminBillingPaymentListReqDto
AdminBillingPaymentListReqDto defines the billing operation request.
type AdminBillingPaymentListReqDto struct {
HumaAuthenticatedInput
BillingPaginationInput
OrganizationID string `query:"organization_id"`
SubscriptionID string `query:"subscription_id"`
InvoiceID string `query:"invoice_id"`
Status string `query:"status" enum:"recorded,voided"`
}type AdminBillingPaymentListResDto
AdminBillingPaymentListResDto wraps the HTTP response body.
type AdminBillingPaymentListResDto struct {
Body types.CursorResponse[subscriptionpublic.Payment]
}type AdminBillingPaymentRecordReqDto
AdminBillingPaymentRecordReqDto defines the billing operation request.
type AdminBillingPaymentRecordReqDto struct {
IdempotencyKey string `header:"Idempotency-Key" minLength:"1" maxLength:"255" required:"true"`
BillingInvoicePathInput
Body subscriptionpublic.RecordPaymentParams
}type AdminBillingPaymentRecordResDto
AdminBillingPaymentRecordResDto wraps the HTTP response body.
type AdminBillingPaymentRecordResDto struct {
Body types.SuccessResponse[subscriptionpublic.Payment]
}type AdminBillingPaymentVoidReqDto
AdminBillingPaymentVoidReqDto defines the billing operation request.
type AdminBillingPaymentVoidReqDto struct {
BillingPaymentPathInput
Body subscriptionpublic.VoidParams
}type AdminBillingPaymentVoidResDto
AdminBillingPaymentVoidResDto wraps the HTTP response body.
type AdminBillingPaymentVoidResDto struct {
Body types.SuccessResponse[subscriptionpublic.Payment]
}type AdminBillingPlanArchiveReqDto
AdminBillingPlanArchiveReqDto defines the billing operation request.
type AdminBillingPlanArchiveReqDto struct {
BillingPlanPathInput
}type AdminBillingPlanArchiveResDto
AdminBillingPlanArchiveResDto represents a successful response without a body.
type AdminBillingPlanArchiveResDto struct {
Body types.SuccessResponse[types.Empty]
}type AdminBillingPlanCreateReqDto
AdminBillingPlanCreateReqDto defines the billing operation request.
type AdminBillingPlanCreateReqDto struct {
HumaAuthenticatedInput
Body subscriptionpublic.CreatePlanParams
}type AdminBillingPlanCreateResDto
AdminBillingPlanCreateResDto wraps the HTTP response body.
type AdminBillingPlanCreateResDto struct {
Body types.SuccessResponse[subscriptionpublic.Plan]
}type AdminBillingPlanEditReqDto
AdminBillingPlanEditReqDto defines the billing operation request.
type AdminBillingPlanEditReqDto struct {
BillingPlanPathInput
Body subscriptionpublic.EditPlanParams
}type AdminBillingPlanEditResDto
AdminBillingPlanEditResDto wraps the HTTP response body.
type AdminBillingPlanEditResDto struct {
Body types.SuccessResponse[subscriptionpublic.Plan]
}type AdminBillingPlanGetReqDto
AdminBillingPlanGetReqDto defines the billing operation request.
type AdminBillingPlanGetReqDto struct {
BillingPlanPathInput
}type AdminBillingPlanGetResDto
AdminBillingPlanGetResDto wraps the HTTP response body.
type AdminBillingPlanGetResDto struct {
Body types.SuccessResponse[subscriptionpublic.Plan]
}type AdminBillingPlanListReqDto
AdminBillingPlanListReqDto defines the billing operation request.
type AdminBillingPlanListReqDto struct {
HumaAuthenticatedInput
BillingPaginationInput
IsPublic string `query:"is_public" enum:"true,false"`
IsActive string `query:"is_active" enum:"true,false"`
}type AdminBillingPlanListResDto
AdminBillingPlanListResDto wraps the HTTP response body.
type AdminBillingPlanListResDto struct {
Body types.CursorResponse[subscriptionpublic.Plan]
}type AdminBillingSubscriptionCreateReqDto
AdminBillingSubscriptionCreateReqDto defines the billing operation request.
type AdminBillingSubscriptionCreateReqDto struct {
IdempotencyKey string `header:"Idempotency-Key" minLength:"1" maxLength:"255" required:"true"`
HumaAuthenticatedInput
Body subscriptionpublic.CreateSubscriptionParams
}func (*AdminBillingSubscriptionCreateReqDto) Resolve
func (input *AdminBillingSubscriptionCreateReqDto) Resolve(ctx huma.Context) []errorResolve preserves the subscription service's request validation.
type AdminBillingSubscriptionCreateResDto
AdminBillingSubscriptionCreateResDto wraps the HTTP response body.
type AdminBillingSubscriptionCreateResDto struct {
Body types.SuccessResponse[subscriptionpublic.Subscription]
}type AdminBillingSubscriptionDeleteReqDto
AdminBillingSubscriptionDeleteReqDto defines the billing operation request.
type AdminBillingSubscriptionDeleteReqDto struct {
BillingSubscriptionPathInput
}type AdminBillingSubscriptionDeleteResDto
AdminBillingSubscriptionDeleteResDto represents a successful response without a body.
type AdminBillingSubscriptionDeleteResDto struct {
Body types.SuccessResponse[types.Empty]
}type AdminBillingSubscriptionEditReqDto
AdminBillingSubscriptionEditReqDto defines the billing operation request.
type AdminBillingSubscriptionEditReqDto struct {
BillingSubscriptionPathInput
Body subscriptionpublic.EditSubscriptionParams
}func (*AdminBillingSubscriptionEditReqDto) Resolve
func (input *AdminBillingSubscriptionEditReqDto) Resolve(ctx huma.Context) []errorResolve preserves the subscription service's request validation.
type AdminBillingSubscriptionEditResDto
AdminBillingSubscriptionEditResDto wraps the HTTP response body.
type AdminBillingSubscriptionEditResDto struct {
Body types.SuccessResponse[subscriptionpublic.Subscription]
}type AdminBillingSubscriptionExtendReqDto
AdminBillingSubscriptionExtendReqDto defines the billing operation request.
type AdminBillingSubscriptionExtendReqDto struct {
BillingSubscriptionPathInput
Body subscriptionpublic.ExtendSubscriptionParams
}func (*AdminBillingSubscriptionExtendReqDto) Resolve
func (input *AdminBillingSubscriptionExtendReqDto) Resolve(ctx huma.Context) []errorResolve preserves the subscription service's request validation.
type AdminBillingSubscriptionExtendResDto
AdminBillingSubscriptionExtendResDto wraps the HTTP response body.
type AdminBillingSubscriptionExtendResDto struct {
Body types.SuccessResponse[subscriptionpublic.Subscription]
}type AdminBillingSubscriptionGetReqDto
AdminBillingSubscriptionGetReqDto defines the billing operation request.
type AdminBillingSubscriptionGetReqDto struct {
BillingSubscriptionPathInput
}type AdminBillingSubscriptionGetResDto
AdminBillingSubscriptionGetResDto wraps the HTTP response body.
type AdminBillingSubscriptionGetResDto struct {
Body types.SuccessResponse[subscriptionpublic.Subscription]
}type AdminBillingSubscriptionInvoiceListReqDto
AdminBillingSubscriptionInvoiceListReqDto defines the billing operation request.
type AdminBillingSubscriptionInvoiceListReqDto struct {
BillingSubscriptionPathInput
BillingPaginationInput
Status string `query:"status" enum:"draft,open,paid,void,uncollectible"`
}type AdminBillingSubscriptionInvoiceListResDto
AdminBillingSubscriptionInvoiceListResDto wraps the HTTP response body.
type AdminBillingSubscriptionInvoiceListResDto struct {
Body types.CursorResponse[subscriptionpublic.Invoice]
}type AdminBillingSubscriptionListReqDto
AdminBillingSubscriptionListReqDto defines the billing operation request.
type AdminBillingSubscriptionListReqDto struct {
HumaAuthenticatedInput
BillingPaginationInput
OrganizationID string `query:"organization_id"`
Status string `query:"status" enum:"trialing,active,past_due,canceled,expired"`
}type AdminBillingSubscriptionListResDto
AdminBillingSubscriptionListResDto wraps the HTTP response body.
type AdminBillingSubscriptionListResDto struct {
Body types.CursorResponse[subscriptionpublic.Subscription]
}type AdminChiefComplaintCreateBodyDto
AdminChiefComplaintCreateBodyDto documents editable fields and applies create defaults.
type AdminChiefComplaintCreateBodyDto struct {
// Title is the nonblank English display term.
Title string `json:"title" nullable:"false" minLength:"1" maxLength:"500" pattern:"\\S" doc:"Title is the nonblank English display term."`
// Aliases replaces aliases as one array; an empty array clears them.
Aliases []string `json:"aliases,omitempty" nullable:"false" maxItems:"50" doc:"Aliases replaces aliases as one array; an empty array clears them."`
// Status controls Doctor visibility.
Status string `json:"status,omitempty" nullable:"false" enum:"active,inactive" default:"active" doc:"Status controls Doctor visibility."`
// SortOrder sets Doctor display priority; zero is a valid edit.
SortOrder int `json:"sort_order,omitempty" nullable:"false" minimum:"0" maximum:"1000000" doc:"SortOrder sets Doctor display priority; zero is a valid edit."`
// Associated replaces optional related complaint choices.
Associated []string `json:"associated,omitempty" nullable:"false" maxItems:"30" doc:"Associated replaces optional related complaint choices."`
}type AdminChiefComplaintCreateDataDto
AdminChiefComplaintCreateDataDto contains catalog content and administration metadata.
type AdminChiefComplaintCreateDataDto struct {
AdminClinicalMetadataDto
// Title is the English display label.
Title string `json:"title" doc:"Title is the English display label."`
// Aliases contains all searchable synonyms and is never null.
Aliases []string `json:"aliases" nullable:"false" doc:"Aliases contains all searchable synonyms and is never null."`
// Associated contains related choices in display order and is never null.
Associated []string `json:"associated" nullable:"false" doc:"Associated contains related choices in display order and is never null."`
}type AdminChiefComplaintCreateReqDto
AdminChiefComplaintCreateReqDto documents the authenticated create request.
type AdminChiefComplaintCreateReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// Body contains only editable catalog fields.
Body AdminChiefComplaintCreateBodyDto
// RawBody retains field presence and explicit null for validation.
RawBody []byte
}func (*AdminChiefComplaintCreateReqDto) Resolve
func (input *AdminChiefComplaintCreateReqDto) Resolve(_ huma.Context) []errorResolve rejects null values and empty patches before domain mapping.
type AdminChiefComplaintCreateResDto
AdminChiefComplaintCreateResDto wraps the documented HTTP success response.
type AdminChiefComplaintCreateResDto struct {
Body AdminChiefComplaintCreateResponseBodyDto
}type AdminChiefComplaintCreateResponseBodyDto
AdminChiefComplaintCreateResponseBodyDto carries the common envelope and resource result.
type AdminChiefComplaintCreateResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains the requested catalog records.
Data AdminChiefComplaintCreateDataDto `json:"data" doc:"Data contains the requested catalog records."`
}type AdminChiefComplaintDeleteReqDto
AdminChiefComplaintDeleteReqDto documents the authenticated delete request.
type AdminChiefComplaintDeleteReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// ID identifies a canonical catalog UUID.
ID string `path:"id" format:"uuid" doc:"ID identifies a canonical catalog UUID."`
}type AdminChiefComplaintDeleteResDto
AdminChiefComplaintDeleteResDto wraps the documented HTTP success response.
type AdminChiefComplaintDeleteResDto struct {
Body AdminChiefComplaintDeleteResponseBodyDto
}type AdminChiefComplaintDeleteResponseBodyDto
AdminChiefComplaintDeleteResponseBodyDto carries the common envelope and resource result.
type AdminChiefComplaintDeleteResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains an empty object after deletion.
Data types.Empty `json:"data" doc:"Data contains an empty object after deletion."`
}type AdminChiefComplaintGetDataDto
AdminChiefComplaintGetDataDto contains catalog content and administration metadata.
type AdminChiefComplaintGetDataDto struct {
AdminClinicalMetadataDto
// Title is the English display label.
Title string `json:"title" doc:"Title is the English display label."`
// Aliases contains all searchable synonyms and is never null.
Aliases []string `json:"aliases" nullable:"false" doc:"Aliases contains all searchable synonyms and is never null."`
// Associated contains related choices in display order and is never null.
Associated []string `json:"associated" nullable:"false" doc:"Associated contains related choices in display order and is never null."`
}type AdminChiefComplaintGetReqDto
AdminChiefComplaintGetReqDto documents the authenticated get request.
type AdminChiefComplaintGetReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// ID identifies a canonical catalog UUID.
ID string `path:"id" format:"uuid" doc:"ID identifies a canonical catalog UUID."`
}type AdminChiefComplaintGetResDto
AdminChiefComplaintGetResDto wraps the documented HTTP success response.
type AdminChiefComplaintGetResDto struct {
Body AdminChiefComplaintGetResponseBodyDto
}type AdminChiefComplaintGetResponseBodyDto
AdminChiefComplaintGetResponseBodyDto carries the common envelope and resource result.
type AdminChiefComplaintGetResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains the requested catalog records.
Data AdminChiefComplaintGetDataDto `json:"data" doc:"Data contains the requested catalog records."`
}type AdminChiefComplaintListItemDto
AdminChiefComplaintListItemDto contains catalog content and administration metadata.
type AdminChiefComplaintListItemDto struct {
AdminClinicalMetadataDto
// Title is the English display label.
Title string `json:"title" doc:"Title is the English display label."`
// Aliases contains all searchable synonyms and is never null.
Aliases []string `json:"aliases" nullable:"false" doc:"Aliases contains all searchable synonyms and is never null."`
// Associated contains related choices in display order and is never null.
Associated []string `json:"associated" nullable:"false" doc:"Associated contains related choices in display order and is never null."`
}type AdminChiefComplaintListReqDto
AdminChiefComplaintListReqDto documents the authenticated list request.
type AdminChiefComplaintListReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// Search matches normalized titles and aliases.
Search string `query:"search" maxLength:"255" doc:"Search matches normalized titles and aliases."`
// Limit bounds each management page.
Limit int `query:"limit" minimum:"1" maximum:"100" default:"20" doc:"Limit bounds each management page."`
// Cursor continues a page with identical normalized filters.
Cursor string `query:"cursor" maxLength:"8192" doc:"Cursor continues a page with identical normalized filters."`
// Status optionally selects active or inactive terms.
Status string `query:"status" enum:"active,inactive" doc:"Status optionally selects active or inactive terms."`
// Deletion controls soft-deletion visibility.
Deletion string `query:"deletion" enum:"live,deleted,all" default:"live" doc:"Deletion controls soft-deletion visibility."`
}type AdminChiefComplaintListResDto
AdminChiefComplaintListResDto wraps the documented HTTP success response.
type AdminChiefComplaintListResDto struct {
Body AdminChiefComplaintListResponseBodyDto
}type AdminChiefComplaintListResponseBodyDto
AdminChiefComplaintListResponseBodyDto carries the common envelope and filter-bound continuation.
type AdminChiefComplaintListResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains the requested catalog records.
Data []AdminChiefComplaintListItemDto `json:"data" nullable:"false" doc:"Data contains the requested catalog records."`
// Pagination contains only the opaque continuation cursor.
Pagination AdminClinicalPaginationDto `json:"pagination" doc:"Pagination contains only the opaque continuation cursor."`
}type AdminChiefComplaintPatchBodyDto
AdminChiefComplaintPatchBodyDto documents editable fields and preserves omission for partial updates.
type AdminChiefComplaintPatchBodyDto struct {
// Title is the nonblank English display term.
Title *string `json:"title,omitempty" nullable:"false" minLength:"1" maxLength:"500" pattern:"\\S" doc:"Title is the nonblank English display term."`
// Aliases replaces aliases as one array; an empty array clears them.
Aliases *[]string `json:"aliases,omitempty" nullable:"false" maxItems:"50" doc:"Aliases replaces aliases as one array; an empty array clears them."`
// Status controls Doctor visibility.
Status *string `json:"status,omitempty" nullable:"false" enum:"active,inactive" doc:"Status controls Doctor visibility."`
// SortOrder sets Doctor display priority; zero is a valid edit.
SortOrder *int `json:"sort_order,omitempty" nullable:"false" minimum:"0" maximum:"1000000" doc:"SortOrder sets Doctor display priority; zero is a valid edit."`
// Associated replaces optional related complaint choices.
Associated *[]string `json:"associated,omitempty" nullable:"false" maxItems:"30" doc:"Associated replaces optional related complaint choices."`
}type AdminChiefComplaintPatchDataDto
AdminChiefComplaintPatchDataDto contains catalog content and administration metadata.
type AdminChiefComplaintPatchDataDto struct {
AdminClinicalMetadataDto
// Title is the English display label.
Title string `json:"title" doc:"Title is the English display label."`
// Aliases contains all searchable synonyms and is never null.
Aliases []string `json:"aliases" nullable:"false" doc:"Aliases contains all searchable synonyms and is never null."`
// Associated contains related choices in display order and is never null.
Associated []string `json:"associated" nullable:"false" doc:"Associated contains related choices in display order and is never null."`
}type AdminChiefComplaintPatchReqDto
AdminChiefComplaintPatchReqDto documents the authenticated patch request.
type AdminChiefComplaintPatchReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// ID identifies a canonical catalog UUID.
ID string `path:"id" format:"uuid" doc:"ID identifies a canonical catalog UUID."`
// Body contains only editable catalog fields.
Body AdminChiefComplaintPatchBodyDto
// RawBody retains field presence and explicit null for validation.
RawBody []byte
}func (*AdminChiefComplaintPatchReqDto) Resolve
func (input *AdminChiefComplaintPatchReqDto) Resolve(_ huma.Context) []errorResolve rejects null values and empty patches before domain mapping.
type AdminChiefComplaintPatchResDto
AdminChiefComplaintPatchResDto wraps the documented HTTP success response.
type AdminChiefComplaintPatchResDto struct {
Body AdminChiefComplaintPatchResponseBodyDto
}type AdminChiefComplaintPatchResponseBodyDto
AdminChiefComplaintPatchResponseBodyDto carries the common envelope and resource result.
type AdminChiefComplaintPatchResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains the requested catalog records.
Data AdminChiefComplaintPatchDataDto `json:"data" doc:"Data contains the requested catalog records."`
}type AdminClinicalMetadataDto
AdminClinicalMetadataDto contains server identity/lifecycle and editable display priority.
type AdminClinicalMetadataDto struct {
// ID is the stable server-generated catalog UUID.
ID string `json:"id" format:"uuid" doc:"ID is the stable server-generated catalog UUID."`
// Status controls visibility to doctors independently of soft deletion.
Status string `json:"status" enum:"active,inactive" doc:"Status controls visibility to doctors independently of soft deletion."`
// SortOrder ranks Doctor default suggestions, lower values first.
SortOrder int `json:"sort_order" doc:"SortOrder ranks Doctor default suggestions, lower values first."`
// CreatedAt records initial creation in UTC.
CreatedAt time.Time `json:"created_at" doc:"CreatedAt records initial creation in UTC."`
// UpdatedAt records the most recent actual catalog edit in UTC.
UpdatedAt time.Time `json:"updated_at" doc:"UpdatedAt records the most recent actual catalog edit in UTC."`
// DeletedAt is null for live records and retained after a soft deletion.
DeletedAt *time.Time `json:"deleted_at" nullable:"true" doc:"DeletedAt is null for live records and retained after a soft deletion."`
}type AdminClinicalPaginationDto
AdminClinicalPaginationDto describes management continuation; an empty cursor ends the list.
type AdminClinicalPaginationDto struct {
NextCursor string `json:"next_cursor"`
}type AdminHistoryAttributesDto
AdminHistoryAttributesDto contains optional catalog-level allergy classification.
type AdminHistoryAttributesDto struct {
// AllergyKind is available only in the allergy category; omission produces an empty object.
AllergyKind string `json:"allergyKind,omitempty" nullable:"false" enum:"Drug,Food,Other,Unspecified" doc:"AllergyKind is available only in the allergy category; omission produces an empty object."`
}type AdminHistorySuggestionCreateBodyDto
AdminHistorySuggestionCreateBodyDto documents editable fields and applies create defaults.
type AdminHistorySuggestionCreateBodyDto struct {
// Title is the nonblank English display term.
Title string `json:"title" nullable:"false" minLength:"1" maxLength:"500" pattern:"\\S" doc:"Title is the nonblank English display term."`
// Aliases replaces aliases as one array; an empty array clears them.
Aliases []string `json:"aliases,omitempty" nullable:"false" maxItems:"50" doc:"Aliases replaces aliases as one array; an empty array clears them."`
// Status controls Doctor visibility.
Status string `json:"status,omitempty" nullable:"false" enum:"active,inactive" default:"active" doc:"Status controls Doctor visibility."`
// SortOrder sets Doctor display priority; zero is a valid edit.
SortOrder int `json:"sort_order,omitempty" nullable:"false" minimum:"0" maximum:"1000000" doc:"SortOrder sets Doctor display priority; zero is a valid edit."`
// Category selects the history editor section.
Category string `json:"category" nullable:"false" enum:"medical,surgical,medication,allergy,family,social,present-illness,obstetric,pediatric,immunization,adverse-reaction,other" doc:"Category selects the history editor section."`
// Attributes replaces classification attributes; an empty object clears them.
Attributes AdminHistoryAttributesDto `json:"attributes,omitempty" nullable:"false" doc:"Attributes replaces classification attributes; an empty object clears them."`
}type AdminHistorySuggestionCreateDataDto
AdminHistorySuggestionCreateDataDto contains catalog content and administration metadata.
type AdminHistorySuggestionCreateDataDto struct {
AdminClinicalMetadataDto
// Title is the English display label.
Title string `json:"title" doc:"Title is the English display label."`
// Aliases contains all searchable synonyms and is never null.
Aliases []string `json:"aliases" nullable:"false" doc:"Aliases contains all searchable synonyms and is never null."`
// Category selects the history section.
Category string `json:"category" doc:"Category selects the history section."`
// Attributes contains catalog classifications and is never null.
Attributes AdminHistoryAttributesDto `json:"attributes" doc:"Attributes contains catalog classifications and is never null."`
}type AdminHistorySuggestionCreateReqDto
AdminHistorySuggestionCreateReqDto documents the authenticated create request.
type AdminHistorySuggestionCreateReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// Body contains only editable catalog fields.
Body AdminHistorySuggestionCreateBodyDto
// RawBody retains field presence and explicit null for validation.
RawBody []byte
}func (*AdminHistorySuggestionCreateReqDto) Resolve
func (input *AdminHistorySuggestionCreateReqDto) Resolve(_ huma.Context) []errorResolve rejects null values and empty patches before domain mapping.
type AdminHistorySuggestionCreateResDto
AdminHistorySuggestionCreateResDto wraps the documented HTTP success response.
type AdminHistorySuggestionCreateResDto struct {
Body AdminHistorySuggestionCreateResponseBodyDto
}type AdminHistorySuggestionCreateResponseBodyDto
AdminHistorySuggestionCreateResponseBodyDto carries the common envelope and resource result.
type AdminHistorySuggestionCreateResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains the requested catalog records.
Data AdminHistorySuggestionCreateDataDto `json:"data" doc:"Data contains the requested catalog records."`
}type AdminHistorySuggestionDeleteReqDto
AdminHistorySuggestionDeleteReqDto documents the authenticated delete request.
type AdminHistorySuggestionDeleteReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// ID identifies a canonical catalog UUID.
ID string `path:"id" format:"uuid" doc:"ID identifies a canonical catalog UUID."`
}type AdminHistorySuggestionDeleteResDto
AdminHistorySuggestionDeleteResDto wraps the documented HTTP success response.
type AdminHistorySuggestionDeleteResDto struct {
Body AdminHistorySuggestionDeleteResponseBodyDto
}type AdminHistorySuggestionDeleteResponseBodyDto
AdminHistorySuggestionDeleteResponseBodyDto carries the common envelope and resource result.
type AdminHistorySuggestionDeleteResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains an empty object after deletion.
Data types.Empty `json:"data" doc:"Data contains an empty object after deletion."`
}type AdminHistorySuggestionGetDataDto
AdminHistorySuggestionGetDataDto contains catalog content and administration metadata.
type AdminHistorySuggestionGetDataDto struct {
AdminClinicalMetadataDto
// Title is the English display label.
Title string `json:"title" doc:"Title is the English display label."`
// Aliases contains all searchable synonyms and is never null.
Aliases []string `json:"aliases" nullable:"false" doc:"Aliases contains all searchable synonyms and is never null."`
// Category selects the history section.
Category string `json:"category" doc:"Category selects the history section."`
// Attributes contains catalog classifications and is never null.
Attributes AdminHistoryAttributesDto `json:"attributes" doc:"Attributes contains catalog classifications and is never null."`
}type AdminHistorySuggestionGetReqDto
AdminHistorySuggestionGetReqDto documents the authenticated get request.
type AdminHistorySuggestionGetReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// ID identifies a canonical catalog UUID.
ID string `path:"id" format:"uuid" doc:"ID identifies a canonical catalog UUID."`
}type AdminHistorySuggestionGetResDto
AdminHistorySuggestionGetResDto wraps the documented HTTP success response.
type AdminHistorySuggestionGetResDto struct {
Body AdminHistorySuggestionGetResponseBodyDto
}type AdminHistorySuggestionGetResponseBodyDto
AdminHistorySuggestionGetResponseBodyDto carries the common envelope and resource result.
type AdminHistorySuggestionGetResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains the requested catalog records.
Data AdminHistorySuggestionGetDataDto `json:"data" doc:"Data contains the requested catalog records."`
}type AdminHistorySuggestionListItemDto
AdminHistorySuggestionListItemDto contains catalog content and administration metadata.
type AdminHistorySuggestionListItemDto struct {
AdminClinicalMetadataDto
// Title is the English display label.
Title string `json:"title" doc:"Title is the English display label."`
// Aliases contains all searchable synonyms and is never null.
Aliases []string `json:"aliases" nullable:"false" doc:"Aliases contains all searchable synonyms and is never null."`
// Category selects the history section.
Category string `json:"category" doc:"Category selects the history section."`
// Attributes contains catalog classifications and is never null.
Attributes AdminHistoryAttributesDto `json:"attributes" doc:"Attributes contains catalog classifications and is never null."`
}type AdminHistorySuggestionListReqDto
AdminHistorySuggestionListReqDto documents the authenticated list request.
type AdminHistorySuggestionListReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// Search matches normalized titles and aliases.
Search string `query:"search" maxLength:"255" doc:"Search matches normalized titles and aliases."`
// Limit bounds each management page.
Limit int `query:"limit" minimum:"1" maximum:"100" default:"20" doc:"Limit bounds each management page."`
// Cursor continues a page with identical normalized filters.
Cursor string `query:"cursor" maxLength:"8192" doc:"Cursor continues a page with identical normalized filters."`
// Status optionally selects active or inactive terms.
Status string `query:"status" enum:"active,inactive" doc:"Status optionally selects active or inactive terms."`
// Deletion controls soft-deletion visibility.
Deletion string `query:"deletion" enum:"live,deleted,all" default:"live" doc:"Deletion controls soft-deletion visibility."`
// Category optionally selects one history section.
Category string `query:"category" enum:"medical,surgical,medication,allergy,family,social,present-illness,obstetric,pediatric,immunization,adverse-reaction,other" doc:"Category optionally selects one history section."`
}type AdminHistorySuggestionListResDto
AdminHistorySuggestionListResDto wraps the documented HTTP success response.
type AdminHistorySuggestionListResDto struct {
Body AdminHistorySuggestionListResponseBodyDto
}type AdminHistorySuggestionListResponseBodyDto
AdminHistorySuggestionListResponseBodyDto carries the common envelope and filter-bound continuation.
type AdminHistorySuggestionListResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains the requested catalog records.
Data []AdminHistorySuggestionListItemDto `json:"data" nullable:"false" doc:"Data contains the requested catalog records."`
// Pagination contains only the opaque continuation cursor.
Pagination AdminClinicalPaginationDto `json:"pagination" doc:"Pagination contains only the opaque continuation cursor."`
}type AdminHistorySuggestionPatchBodyDto
AdminHistorySuggestionPatchBodyDto documents editable fields and preserves omission for partial updates.
type AdminHistorySuggestionPatchBodyDto struct {
// Title is the nonblank English display term.
Title *string `json:"title,omitempty" nullable:"false" minLength:"1" maxLength:"500" pattern:"\\S" doc:"Title is the nonblank English display term."`
// Aliases replaces aliases as one array; an empty array clears them.
Aliases *[]string `json:"aliases,omitempty" nullable:"false" maxItems:"50" doc:"Aliases replaces aliases as one array; an empty array clears them."`
// Status controls Doctor visibility.
Status *string `json:"status,omitempty" nullable:"false" enum:"active,inactive" doc:"Status controls Doctor visibility."`
// SortOrder sets Doctor display priority; zero is a valid edit.
SortOrder *int `json:"sort_order,omitempty" nullable:"false" minimum:"0" maximum:"1000000" doc:"SortOrder sets Doctor display priority; zero is a valid edit."`
// Category selects the history editor section.
Category *string `json:"category,omitempty" nullable:"false" enum:"medical,surgical,medication,allergy,family,social,present-illness,obstetric,pediatric,immunization,adverse-reaction,other" doc:"Category selects the history editor section."`
// Attributes replaces classification attributes; an empty object clears them.
Attributes *AdminHistoryAttributesDto `json:"attributes,omitempty" nullable:"false" doc:"Attributes replaces classification attributes; an empty object clears them."`
}type AdminHistorySuggestionPatchDataDto
AdminHistorySuggestionPatchDataDto contains catalog content and administration metadata.
type AdminHistorySuggestionPatchDataDto struct {
AdminClinicalMetadataDto
// Title is the English display label.
Title string `json:"title" doc:"Title is the English display label."`
// Aliases contains all searchable synonyms and is never null.
Aliases []string `json:"aliases" nullable:"false" doc:"Aliases contains all searchable synonyms and is never null."`
// Category selects the history section.
Category string `json:"category" doc:"Category selects the history section."`
// Attributes contains catalog classifications and is never null.
Attributes AdminHistoryAttributesDto `json:"attributes" doc:"Attributes contains catalog classifications and is never null."`
}type AdminHistorySuggestionPatchReqDto
AdminHistorySuggestionPatchReqDto documents the authenticated patch request.
type AdminHistorySuggestionPatchReqDto struct {
// Authorization is the active platform-admin bearer session.
Authorization string `header:"Authorization" hidden:"true" doc:"Authorization is the active platform-admin bearer session."`
// ID identifies a canonical catalog UUID.
ID string `path:"id" format:"uuid" doc:"ID identifies a canonical catalog UUID."`
// Body contains only editable catalog fields.
Body AdminHistorySuggestionPatchBodyDto
// RawBody retains field presence and explicit null for validation.
RawBody []byte
}func (*AdminHistorySuggestionPatchReqDto) Resolve
func (input *AdminHistorySuggestionPatchReqDto) Resolve(_ huma.Context) []errorResolve rejects null values and empty patches before domain mapping.
type AdminHistorySuggestionPatchResDto
AdminHistorySuggestionPatchResDto wraps the documented HTTP success response.
type AdminHistorySuggestionPatchResDto struct {
Body AdminHistorySuggestionPatchResponseBodyDto
}type AdminHistorySuggestionPatchResponseBodyDto
AdminHistorySuggestionPatchResponseBodyDto carries the common envelope and resource result.
type AdminHistorySuggestionPatchResponseBodyDto struct {
// Message describes the completed operation.
Message string `json:"message" doc:"Message describes the completed operation."`
// StatusCode equals the HTTP status.
StatusCode int `json:"status_code" doc:"StatusCode equals the HTTP status."`
// Data contains the requested catalog records.
Data AdminHistorySuggestionPatchDataDto `json:"data" doc:"Data contains the requested catalog records."`
}type AdminIdentityAccountGetReqDto
AdminIdentityAccountGetReqDto identifies the identity account to retrieve.
type AdminIdentityAccountGetReqDto struct{ AccountHTTPInput }type AdminIdentityAccountGetResDto
AdminIdentityAccountGetResDto wraps the HTTP response body.
type AdminIdentityAccountGetResDto struct {
Body identitypublic.Account
}type AdminIdentityAccountListReqDto
AdminIdentityAccountListReqDto searches the Identity-owned account directory.
type AdminIdentityAccountListReqDto struct {
ManagementListHTTPInput
Search string `query:"search" maxLength:"255" doc:"Search account name, email or ID."`
Status string `query:"status" enum:"active,inactive,suspended"`
}type AdminIdentityAccountListResDto
AdminIdentityAccountListResDto wraps the HTTP response body.
type AdminIdentityAccountListResDto struct {
Body ManagementPage[identitypublic.Account]
}type AdminIdentityAccountStatusPatchReqDto
AdminIdentityAccountStatusPatchReqDto edits account status without accepting credentials or roles.
type AdminIdentityAccountStatusPatchReqDto struct {
AccountHTTPInput
Body PatchIdentityAccountStatusParams
}type AdminIdentityAccountStatusPatchResDto
AdminIdentityAccountStatusPatchResDto wraps the HTTP response body.
type AdminIdentityAccountStatusPatchResDto struct {
Body identitypublic.Account
}type AdminLoginReqDto
AdminLoginReqDto contains the email and password used to authenticate an administrator.
type AdminLoginReqDto struct {
Body struct {
Email string `json:"email" format:"email" maxLength:"255" example:"admin@example.com" doc:"Registered email address."`
Password string `json:"password" minLength:"1" maxLength:"128" writeOnly:"true" example:"ExamplePassword123!" doc:"Current account password."`
}
}type AdminLoginResDto
AdminLoginResDto contains the credentials issued for an administrator session.
type AdminLoginResDto struct {
Body types.SuccessResponse[identitypublic.TokenPair]
}type AdminMedicineBrandCreateBodyDto
AdminMedicineBrandCreateBodyDto defines the response envelope.
type AdminMedicineBrandCreateBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineBrandCreateDataDto `json:"data"`
}type AdminMedicineBrandCreateDataDto
AdminMedicineBrandCreateDataDto contains catalog response fields.
type AdminMedicineBrandCreateDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
ManufacturerID string `json:"manufacturer_id"`
GenericID string `json:"generic_id"`
}type AdminMedicineBrandCreateInputBody
AdminMedicineBrandCreateInputBody defines editable catalog fields.
type AdminMedicineBrandCreateInputBody struct {
Name string `json:"name" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
ManufacturerID string `json:"manufacturer_id" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
GenericID string `json:"generic_id" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Description *string `json:"description,omitempty" nullable:"true" maxLength:"2000"`
Status string `json:"status,omitempty" nullable:"false" enum:"active,inactive" default:"active"`
}type AdminMedicineBrandCreateReqDto
AdminMedicineBrandCreateReqDto defines the HTTP request.
type AdminMedicineBrandCreateReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
Body AdminMedicineBrandCreateInputBody
RawBody []byte
}func (*AdminMedicineBrandCreateReqDto) Resolve
func (input *AdminMedicineBrandCreateReqDto) Resolve(_ huma.Context) []errorResolve checks empty patches and explicit null fields.
type AdminMedicineBrandCreateResDto
AdminMedicineBrandCreateResDto wraps the HTTP response body.
type AdminMedicineBrandCreateResDto struct {
Body AdminMedicineBrandCreateBodyDto
}type AdminMedicineBrandDeleteReqDto
AdminMedicineBrandDeleteReqDto defines the HTTP request.
type AdminMedicineBrandDeleteReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
}type AdminMedicineBrandDeleteResDto
AdminMedicineBrandDeleteResDto defines the HTTP response.
type AdminMedicineBrandDeleteResDto struct {
Body types.SuccessResponse[types.Empty]
}type AdminMedicineBrandGetBodyDto
AdminMedicineBrandGetBodyDto defines the HTTP response.
type AdminMedicineBrandGetBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineBrandGetDataDto `json:"data"`
}type AdminMedicineBrandGetDataDto
AdminMedicineBrandGetDataDto contains catalog response fields.
type AdminMedicineBrandGetDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
ManufacturerID string `json:"manufacturer_id"`
GenericID string `json:"generic_id"`
}type AdminMedicineBrandGetReqDto
AdminMedicineBrandGetReqDto defines the HTTP request.
type AdminMedicineBrandGetReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
}type AdminMedicineBrandGetResDto
AdminMedicineBrandGetResDto defines the HTTP response.
type AdminMedicineBrandGetResDto struct{ Body AdminMedicineBrandGetBodyDto }type AdminMedicineBrandListBodyDto
AdminMedicineBrandListBodyDto defines the HTTP response.
type AdminMedicineBrandListBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data []AdminMedicineBrandListItemDto `json:"data" nullable:"false"`
Pagination AdminMedicineBrandListPaginationDto `json:"pagination"`
}type AdminMedicineBrandListItemDto
AdminMedicineBrandListItemDto contains catalog response fields.
type AdminMedicineBrandListItemDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
ManufacturerID string `json:"manufacturer_id"`
GenericID string `json:"generic_id"`
}type AdminMedicineBrandListPaginationDto
AdminMedicineBrandListPaginationDto describes cursor pagination.
type AdminMedicineBrandListPaginationDto struct {
NextCursor string `json:"next_cursor"`
CurrentPage int `json:"current_page"`
PerPage int `json:"per_page"`
TotalPages int `json:"total_pages"`
TotalItems int `json:"total_items"`
}type AdminMedicineBrandListReqDto
AdminMedicineBrandListReqDto defines the HTTP request.
type AdminMedicineBrandListReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
Q string `query:"q" maxLength:"255"`
Limit int `query:"limit" minimum:"1" maximum:"100" default:"20"`
Cursor string `query:"cursor"`
ManufacturerID string `query:"manufacturer_id" minLength:"1" maxLength:"255" pattern:"\\S"`
GenericID string `query:"generic_id" minLength:"1" maxLength:"255" pattern:"\\S"`
Status string `query:"status" enum:"active,inactive"`
Deletion string `query:"deletion" enum:"live,deleted,all" default:"live"`
}type AdminMedicineBrandListResDto
AdminMedicineBrandListResDto defines the HTTP response.
type AdminMedicineBrandListResDto struct{ Body AdminMedicineBrandListBodyDto }type AdminMedicineBrandPatchBodyDto
AdminMedicineBrandPatchBodyDto defines the response envelope.
type AdminMedicineBrandPatchBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineBrandPatchDataDto `json:"data"`
}type AdminMedicineBrandPatchDataDto
AdminMedicineBrandPatchDataDto contains catalog response fields.
type AdminMedicineBrandPatchDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
ManufacturerID string `json:"manufacturer_id"`
GenericID string `json:"generic_id"`
}type AdminMedicineBrandPatchInputBody
AdminMedicineBrandPatchInputBody defines editable catalog fields.
type AdminMedicineBrandPatchInputBody struct {
Name *string `json:"name,omitempty" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
ManufacturerID *string `json:"manufacturer_id,omitempty" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
GenericID *string `json:"generic_id,omitempty" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Description *string `json:"description,omitempty" nullable:"true" maxLength:"2000"`
Status *string `json:"status,omitempty" nullable:"false" enum:"active,inactive"`
Supplied map[string]bool `json:"-"`
}func (*AdminMedicineBrandPatchInputBody) UnmarshalJSON
func (body *AdminMedicineBrandPatchInputBody) UnmarshalJSON(data []byte) errorUnmarshalJSON retains field presence for partial updates.
type AdminMedicineBrandPatchReqDto
AdminMedicineBrandPatchReqDto defines the HTTP request.
type AdminMedicineBrandPatchReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
Body AdminMedicineBrandPatchInputBody
RawBody []byte
}func (*AdminMedicineBrandPatchReqDto) Resolve
func (input *AdminMedicineBrandPatchReqDto) Resolve(_ huma.Context) []errorResolve checks empty patches and explicit null fields.
type AdminMedicineBrandPatchResDto
AdminMedicineBrandPatchResDto wraps the HTTP response body.
type AdminMedicineBrandPatchResDto struct {
Body AdminMedicineBrandPatchBodyDto
}type AdminMedicineBrandRestoreBodyDto
AdminMedicineBrandRestoreBodyDto defines the response envelope.
type AdminMedicineBrandRestoreBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineBrandRestoreDataDto `json:"data"`
}type AdminMedicineBrandRestoreDataDto
AdminMedicineBrandRestoreDataDto contains catalog response fields.
type AdminMedicineBrandRestoreDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
ManufacturerID string `json:"manufacturer_id"`
GenericID string `json:"generic_id"`
}type AdminMedicineBrandRestoreReqDto
AdminMedicineBrandRestoreReqDto defines the HTTP request.
type AdminMedicineBrandRestoreReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
}type AdminMedicineBrandRestoreResDto
AdminMedicineBrandRestoreResDto wraps the HTTP response body.
type AdminMedicineBrandRestoreResDto struct {
Body AdminMedicineBrandRestoreBodyDto
}type AdminMedicineDrugCreateBodyDto
AdminMedicineDrugCreateBodyDto defines the response envelope.
type AdminMedicineDrugCreateBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineDrugCreateDataDto `json:"data"`
}type AdminMedicineDrugCreateDataDto
AdminMedicineDrugCreateDataDto contains catalog response fields.
type AdminMedicineDrugCreateDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
BrandID string `json:"brand_id"`
Form string `json:"form"`
Strength string `json:"strength"`
Route string `json:"route"`
TherapeuticClassID string `json:"therapeutic_class_id"`
CatalogueVersion string `json:"catalogue_version"`
Aliases []string `json:"aliases" nullable:"false"`
IngredientIDs []string `json:"ingredient_ids" nullable:"false"`
QuickSigs []AdminMedicineQuickSigDto `json:"quick_sigs" nullable:"false"`
Brand AdminMedicineDrugCreateSummaryDto `json:"brand"`
Generic AdminMedicineDrugCreateSummaryDto `json:"generic"`
Manufacturer AdminMedicineDrugCreateSummaryDto `json:"manufacturer"`
}type AdminMedicineDrugCreateInputBody
AdminMedicineDrugCreateInputBody defines editable catalog fields.
type AdminMedicineDrugCreateInputBody struct {
Route string `json:"route,omitempty" nullable:"false" maxLength:"255"`
TherapeuticClassID string `json:"therapeutic_class_id,omitempty" nullable:"false" maxLength:"255"`
Aliases []string `json:"aliases,omitempty" nullable:"false" maxItems:"50"`
IngredientIDs []string `json:"ingredient_ids,omitempty" nullable:"false" maxItems:"20"`
BrandID string `json:"brand_id" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Form string `json:"form" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Strength string `json:"strength" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Description *string `json:"description,omitempty" nullable:"true" maxLength:"2000"`
Status string `json:"status,omitempty" nullable:"false" enum:"active,inactive" default:"active"`
}type AdminMedicineDrugCreateReqDto
AdminMedicineDrugCreateReqDto defines the HTTP request.
type AdminMedicineDrugCreateReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
Body AdminMedicineDrugCreateInputBody
RawBody []byte
}func (*AdminMedicineDrugCreateReqDto) Resolve
func (input *AdminMedicineDrugCreateReqDto) Resolve(_ huma.Context) []errorResolve checks empty patches and explicit null fields.
type AdminMedicineDrugCreateResDto
AdminMedicineDrugCreateResDto wraps the HTTP response body.
type AdminMedicineDrugCreateResDto struct {
Body AdminMedicineDrugCreateBodyDto
}type AdminMedicineDrugCreateSummaryDto
AdminMedicineDrugCreateSummaryDto contains related catalog display data.
type AdminMedicineDrugCreateSummaryDto struct {
ID string `json:"id"`
Name string `json:"name"`
}type AdminMedicineDrugDeleteReqDto
AdminMedicineDrugDeleteReqDto defines the HTTP request.
type AdminMedicineDrugDeleteReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
}type AdminMedicineDrugDeleteResDto
AdminMedicineDrugDeleteResDto defines the HTTP response.
type AdminMedicineDrugDeleteResDto struct {
Body types.SuccessResponse[types.Empty]
}type AdminMedicineDrugGetBodyDto
AdminMedicineDrugGetBodyDto defines the HTTP response.
type AdminMedicineDrugGetBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineDrugGetDataDto `json:"data"`
}type AdminMedicineDrugGetDataDto
AdminMedicineDrugGetDataDto contains catalog response fields.
type AdminMedicineDrugGetDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
BrandID string `json:"brand_id"`
Form string `json:"form"`
Strength string `json:"strength"`
Route string `json:"route"`
TherapeuticClassID string `json:"therapeutic_class_id"`
CatalogueVersion string `json:"catalogue_version"`
Aliases []string `json:"aliases" nullable:"false"`
IngredientIDs []string `json:"ingredient_ids" nullable:"false"`
QuickSigs []AdminMedicineQuickSigDto `json:"quick_sigs" nullable:"false"`
Brand AdminMedicineDrugGetSummaryDto `json:"brand"`
Generic AdminMedicineDrugGetSummaryDto `json:"generic"`
Manufacturer AdminMedicineDrugGetSummaryDto `json:"manufacturer"`
}type AdminMedicineDrugGetReqDto
AdminMedicineDrugGetReqDto defines the HTTP request.
type AdminMedicineDrugGetReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
}type AdminMedicineDrugGetResDto
AdminMedicineDrugGetResDto defines the HTTP response.
type AdminMedicineDrugGetResDto struct{ Body AdminMedicineDrugGetBodyDto }type AdminMedicineDrugGetSummaryDto
AdminMedicineDrugGetSummaryDto contains related catalog display data.
type AdminMedicineDrugGetSummaryDto struct {
ID string `json:"id"`
Name string `json:"name"`
}type AdminMedicineDrugListBodyDto
AdminMedicineDrugListBodyDto defines the HTTP response.
type AdminMedicineDrugListBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data []AdminMedicineDrugListItemDto `json:"data" nullable:"false"`
Pagination AdminMedicineDrugListPaginationDto `json:"pagination"`
}type AdminMedicineDrugListItemDto
AdminMedicineDrugListItemDto contains catalog response fields.
type AdminMedicineDrugListItemDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
BrandID string `json:"brand_id"`
Form string `json:"form"`
Strength string `json:"strength"`
Route string `json:"route"`
TherapeuticClassID string `json:"therapeutic_class_id"`
CatalogueVersion string `json:"catalogue_version"`
Aliases []string `json:"aliases" nullable:"false"`
IngredientIDs []string `json:"ingredient_ids" nullable:"false"`
QuickSigs []AdminMedicineQuickSigDto `json:"quick_sigs" nullable:"false"`
Brand AdminMedicineDrugListSummaryDto `json:"brand"`
Generic AdminMedicineDrugListSummaryDto `json:"generic"`
Manufacturer AdminMedicineDrugListSummaryDto `json:"manufacturer"`
}type AdminMedicineDrugListPaginationDto
AdminMedicineDrugListPaginationDto describes cursor pagination.
type AdminMedicineDrugListPaginationDto struct {
NextCursor string `json:"next_cursor"`
CurrentPage int `json:"current_page"`
PerPage int `json:"per_page"`
TotalPages int `json:"total_pages"`
TotalItems int `json:"total_items"`
}type AdminMedicineDrugListReqDto
AdminMedicineDrugListReqDto defines the HTTP request.
type AdminMedicineDrugListReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
Q string `query:"q" maxLength:"255"`
Limit int `query:"limit" minimum:"1" maximum:"100" default:"20"`
Cursor string `query:"cursor"`
ManufacturerID string `query:"manufacturer_id" minLength:"1" maxLength:"255" pattern:"\\S"`
GenericID string `query:"generic_id" minLength:"1" maxLength:"255" pattern:"\\S"`
BrandID string `query:"brand_id" minLength:"1" maxLength:"255" pattern:"\\S"`
Form string `query:"form" minLength:"1" maxLength:"255" pattern:"\\S"`
Status string `query:"status" enum:"active,inactive"`
Deletion string `query:"deletion" enum:"live,deleted,all" default:"live"`
}type AdminMedicineDrugListResDto
AdminMedicineDrugListResDto defines the HTTP response.
type AdminMedicineDrugListResDto struct{ Body AdminMedicineDrugListBodyDto }type AdminMedicineDrugListSummaryDto
AdminMedicineDrugListSummaryDto contains related catalog display data.
type AdminMedicineDrugListSummaryDto struct {
ID string `json:"id"`
Name string `json:"name"`
}type AdminMedicineDrugPatchBodyDto
AdminMedicineDrugPatchBodyDto defines the HTTP response.
type AdminMedicineDrugPatchBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineDrugPatchDataDto `json:"data"`
}type AdminMedicineDrugPatchDataDto
AdminMedicineDrugPatchDataDto contains catalog response fields.
type AdminMedicineDrugPatchDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
BrandID string `json:"brand_id"`
Form string `json:"form"`
Strength string `json:"strength"`
Route string `json:"route"`
TherapeuticClassID string `json:"therapeutic_class_id"`
CatalogueVersion string `json:"catalogue_version"`
Aliases []string `json:"aliases" nullable:"false"`
IngredientIDs []string `json:"ingredient_ids" nullable:"false"`
QuickSigs []AdminMedicineQuickSigDto `json:"quick_sigs" nullable:"false"`
Brand AdminMedicineDrugPatchSummaryDto `json:"brand"`
Generic AdminMedicineDrugPatchSummaryDto `json:"generic"`
Manufacturer AdminMedicineDrugPatchSummaryDto `json:"manufacturer"`
}type AdminMedicineDrugPatchInputBody
AdminMedicineDrugPatchInputBody defines editable catalog fields.
type AdminMedicineDrugPatchInputBody struct {
Route *string `json:"route,omitempty" nullable:"false" maxLength:"255"`
TherapeuticClassID *string `json:"therapeutic_class_id,omitempty" nullable:"false" maxLength:"255"`
Aliases *[]string `json:"aliases,omitempty" nullable:"false" maxItems:"50"`
IngredientIDs *[]string `json:"ingredient_ids,omitempty" nullable:"false" maxItems:"20"`
BrandID *string `json:"brand_id,omitempty" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Form *string `json:"form,omitempty" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Strength *string `json:"strength,omitempty" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Description *string `json:"description,omitempty" nullable:"true" maxLength:"2000"`
Status *string `json:"status,omitempty" nullable:"false" enum:"active,inactive"`
Supplied map[string]bool `json:"-"`
}func (*AdminMedicineDrugPatchInputBody) UnmarshalJSON
func (body *AdminMedicineDrugPatchInputBody) UnmarshalJSON(data []byte) errorUnmarshalJSON retains field presence for partial updates.
type AdminMedicineDrugPatchReqDto
AdminMedicineDrugPatchReqDto defines the HTTP request.
type AdminMedicineDrugPatchReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
Body AdminMedicineDrugPatchInputBody
RawBody []byte
}func (*AdminMedicineDrugPatchReqDto) Resolve
func (input *AdminMedicineDrugPatchReqDto) Resolve(_ huma.Context) []errorResolve checks empty patches and explicit null fields.
type AdminMedicineDrugPatchResDto
AdminMedicineDrugPatchResDto defines the HTTP response.
type AdminMedicineDrugPatchResDto struct{ Body AdminMedicineDrugPatchBodyDto }type AdminMedicineDrugPatchSummaryDto
AdminMedicineDrugPatchSummaryDto contains related catalog display data.
type AdminMedicineDrugPatchSummaryDto struct {
ID string `json:"id"`
Name string `json:"name"`
}type AdminMedicineDrugRestoreBodyDto
AdminMedicineDrugRestoreBodyDto defines the response envelope.
type AdminMedicineDrugRestoreBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineDrugRestoreDataDto `json:"data"`
}type AdminMedicineDrugRestoreDataDto
AdminMedicineDrugRestoreDataDto contains catalog response fields.
type AdminMedicineDrugRestoreDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
BrandID string `json:"brand_id"`
Form string `json:"form"`
Strength string `json:"strength"`
Route string `json:"route"`
TherapeuticClassID string `json:"therapeutic_class_id"`
CatalogueVersion string `json:"catalogue_version"`
Aliases []string `json:"aliases" nullable:"false"`
IngredientIDs []string `json:"ingredient_ids" nullable:"false"`
QuickSigs []AdminMedicineQuickSigDto `json:"quick_sigs" nullable:"false"`
Brand AdminMedicineDrugRestoreSummaryDto `json:"brand"`
Generic AdminMedicineDrugRestoreSummaryDto `json:"generic"`
Manufacturer AdminMedicineDrugRestoreSummaryDto `json:"manufacturer"`
}type AdminMedicineDrugRestoreReqDto
AdminMedicineDrugRestoreReqDto defines the HTTP request.
type AdminMedicineDrugRestoreReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
}type AdminMedicineDrugRestoreResDto
AdminMedicineDrugRestoreResDto wraps the HTTP response body.
type AdminMedicineDrugRestoreResDto struct {
Body AdminMedicineDrugRestoreBodyDto
}type AdminMedicineDrugRestoreSummaryDto
AdminMedicineDrugRestoreSummaryDto contains related catalog display data.
type AdminMedicineDrugRestoreSummaryDto struct {
ID string `json:"id"`
Name string `json:"name"`
}type AdminMedicineGenericCreateBodyDto
AdminMedicineGenericCreateBodyDto defines the response envelope.
type AdminMedicineGenericCreateBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineGenericCreateDataDto `json:"data"`
}type AdminMedicineGenericCreateDataDto
AdminMedicineGenericCreateDataDto contains catalog response fields.
type AdminMedicineGenericCreateDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
}type AdminMedicineGenericCreateInputBody
AdminMedicineGenericCreateInputBody defines editable catalog fields.
type AdminMedicineGenericCreateInputBody struct {
Name string `json:"name" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Description *string `json:"description,omitempty" nullable:"true" maxLength:"2000"`
Status string `json:"status,omitempty" nullable:"false" enum:"active,inactive" default:"active"`
}type AdminMedicineGenericCreateReqDto
AdminMedicineGenericCreateReqDto defines the HTTP request.
type AdminMedicineGenericCreateReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
Body AdminMedicineGenericCreateInputBody
RawBody []byte
}func (*AdminMedicineGenericCreateReqDto) Resolve
func (input *AdminMedicineGenericCreateReqDto) Resolve(_ huma.Context) []errorResolve checks empty patches and explicit null fields.
type AdminMedicineGenericCreateResDto
AdminMedicineGenericCreateResDto wraps the HTTP response body.
type AdminMedicineGenericCreateResDto struct {
Body AdminMedicineGenericCreateBodyDto
}type AdminMedicineGenericDeleteReqDto
AdminMedicineGenericDeleteReqDto defines the HTTP request.
type AdminMedicineGenericDeleteReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
}type AdminMedicineGenericDeleteResDto
AdminMedicineGenericDeleteResDto defines the HTTP response.
type AdminMedicineGenericDeleteResDto struct {
Body types.SuccessResponse[types.Empty]
}type AdminMedicineGenericGetBodyDto
AdminMedicineGenericGetBodyDto defines the response envelope.
type AdminMedicineGenericGetBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineGenericGetDataDto `json:"data"`
}type AdminMedicineGenericGetDataDto
AdminMedicineGenericGetDataDto contains catalog response fields.
type AdminMedicineGenericGetDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
}type AdminMedicineGenericGetReqDto
AdminMedicineGenericGetReqDto defines the HTTP request.
type AdminMedicineGenericGetReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
}type AdminMedicineGenericGetResDto
AdminMedicineGenericGetResDto wraps the HTTP response body.
type AdminMedicineGenericGetResDto struct {
Body AdminMedicineGenericGetBodyDto
}type AdminMedicineGenericListBodyDto
AdminMedicineGenericListBodyDto defines the response envelope.
type AdminMedicineGenericListBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data []AdminMedicineGenericListItemDto `json:"data" nullable:"false"`
Pagination AdminMedicineGenericListPaginationDto `json:"pagination"`
}type AdminMedicineGenericListItemDto
AdminMedicineGenericListItemDto contains catalog response fields.
type AdminMedicineGenericListItemDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
}type AdminMedicineGenericListPaginationDto
AdminMedicineGenericListPaginationDto describes cursor pagination.
type AdminMedicineGenericListPaginationDto struct {
NextCursor string `json:"next_cursor"`
CurrentPage int `json:"current_page"`
PerPage int `json:"per_page"`
TotalPages int `json:"total_pages"`
TotalItems int `json:"total_items"`
}type AdminMedicineGenericListReqDto
AdminMedicineGenericListReqDto defines the HTTP request.
type AdminMedicineGenericListReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
Q string `query:"q" maxLength:"255"`
Limit int `query:"limit" minimum:"1" maximum:"100" default:"20"`
Cursor string `query:"cursor"`
Status string `query:"status" enum:"active,inactive"`
Deletion string `query:"deletion" enum:"live,deleted,all" default:"live"`
}type AdminMedicineGenericListResDto
AdminMedicineGenericListResDto wraps the HTTP response body.
type AdminMedicineGenericListResDto struct {
Body AdminMedicineGenericListBodyDto
}type AdminMedicineGenericPatchBodyDto
AdminMedicineGenericPatchBodyDto defines the response envelope.
type AdminMedicineGenericPatchBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineGenericPatchDataDto `json:"data"`
}type AdminMedicineGenericPatchDataDto
AdminMedicineGenericPatchDataDto contains catalog response fields.
type AdminMedicineGenericPatchDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
}type AdminMedicineGenericPatchInputBody
AdminMedicineGenericPatchInputBody defines editable catalog fields.
type AdminMedicineGenericPatchInputBody struct {
Name *string `json:"name,omitempty" nullable:"false" minLength:"1" maxLength:"255" pattern:"\\S"`
Description *string `json:"description,omitempty" nullable:"true" maxLength:"2000"`
Status *string `json:"status,omitempty" nullable:"false" enum:"active,inactive"`
Supplied map[string]bool `json:"-"`
}func (*AdminMedicineGenericPatchInputBody) UnmarshalJSON
func (body *AdminMedicineGenericPatchInputBody) UnmarshalJSON(data []byte) errorUnmarshalJSON retains field presence for partial updates.
type AdminMedicineGenericPatchReqDto
AdminMedicineGenericPatchReqDto defines the HTTP request.
type AdminMedicineGenericPatchReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
Body AdminMedicineGenericPatchInputBody
RawBody []byte
}func (*AdminMedicineGenericPatchReqDto) Resolve
func (input *AdminMedicineGenericPatchReqDto) Resolve(_ huma.Context) []errorResolve checks empty patches and explicit null fields.
type AdminMedicineGenericPatchResDto
AdminMedicineGenericPatchResDto wraps the HTTP response body.
type AdminMedicineGenericPatchResDto struct {
Body AdminMedicineGenericPatchBodyDto
}type AdminMedicineGenericRestoreBodyDto
AdminMedicineGenericRestoreBodyDto defines the response envelope.
type AdminMedicineGenericRestoreBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineGenericRestoreDataDto `json:"data"`
}type AdminMedicineGenericRestoreDataDto
AdminMedicineGenericRestoreDataDto contains catalog response fields.
type AdminMedicineGenericRestoreDataDto struct {
ID string `json:"id"`
Status string `json:"status" enum:"active,inactive"`
Description *string `json:"description,omitempty"`
CreatedAt time.Time `json:"created_at"`
UpdatedAt time.Time `json:"updated_at"`
DeletedAt *time.Time `json:"deleted_at,omitempty"`
Name string `json:"name"`
}type AdminMedicineGenericRestoreReqDto
AdminMedicineGenericRestoreReqDto defines the HTTP request.
type AdminMedicineGenericRestoreReqDto struct {
Authorization string `header:"Authorization" hidden:"true"`
ID string `path:"id" minLength:"1" pattern:"\\S"`
}type AdminMedicineGenericRestoreResDto
AdminMedicineGenericRestoreResDto wraps the HTTP response body.
type AdminMedicineGenericRestoreResDto struct {
Body AdminMedicineGenericRestoreBodyDto
}type AdminMedicineManufacturerCreateBodyDto
AdminMedicineManufacturerCreateBodyDto defines the response envelope.
type AdminMedicineManufacturerCreateBodyDto struct {
Message string `json:"message"`
StatusCode int `json:"status_code"`
Data AdminMedicineManufacturerCreateDataDto `json:"data"`
}type AdminMedicineManufacturerCreateDataDto
[...]
